> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Stop Session

> Stop all running sandbox sessions, runtime sessions, and jobs for a session



## OpenAPI

````yaml /openapi.documented.yml post /session/{sessionId}/stop
openapi: 3.1.0
info:
  title: Developer API
  description: Tembo Developer API
  version: 1.0.0
servers:
  - url: https://api.tembo.io/
    description: Tembo API
security: []
paths:
  /session/{sessionId}/stop:
    post:
      summary: Stop Session
      description: >-
        Stop all running sandbox sessions, runtime sessions, and jobs for a
        session
      operationId: postPublic-apiSessionSessionIdStop
      parameters:
        - name: sessionId
          in: path
          description: ID of the session to stop
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successfully stopped sessions and jobs
          content:
            application/json:
              schema:
                type: object
                properties:
                  cancelledSessions:
                    type: number
                  cancelledJobs:
                    type: number
                  stoppedRuntimeSessions:
                    type: number
                  interruptedRuntimeTurns:
                    type: number
                  cancelledRuntimeTurns:
                    type: number
                required:
                  - cancelledSessions
                  - cancelledJobs
                  - stoppedRuntimeSessions
                  - interruptedRuntimeTurns
                  - cancelledRuntimeTurns
        '400':
          description: Organization ID is required
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '404':
          description: Session not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -s -X POST \
              "https://api.tembo.io/session/${SESSION_ID}/stop" \
              -H "Authorization: Bearer ${API_KEY}"

````